Bug 984043 - Multiple same specifications for /var/lib/ipa/pki-ca/publish(/.*)?.
Multiple same specifications for /var/lib/ipa/pki-ca/publish(/.*)?.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
: TestBlocker
Depends On: 980635
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 11:27 EDT by Scott Poore
Modified: 2014-06-17 20:10 EDT (History)
7 users (show)

See Also:
Fixed In Version: ipa-3.2.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 980635
Environment:
Last Closed: 2014-06-13 05:31:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Martin Kosek 2013-07-16 11:49:06 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3788
Comment 3 Martin Kosek 2013-07-17 10:26:38 EDT
Fixed upstream:

master:
1dcbb3adfae78e6f46ff76f72d651d75850c46ab Require new selinux-policy replacing old server-selinux subpacka

ipa-3-2:
be327e21ce1877b944508b4ff14101dc3c922d0c Require new selinux-policy replacing old server-selinux subpacka

FreeIPA will now require selinux-policy-3.12.1-65.fc19.noarch which adds missing bits previously present in freeipa-server-selinux subpackage. Next version of FreeIPA will not contain this subpackage so there will be no conflict in policy.
Comment 5 Scott Poore 2013-09-11 11:38:23 EDT
Verified.  

This one is a sanity check only since it shouldn't be possible to actually hit this one since ipa-server-selinux is now out of the picture.  So, also marking qe_test_coverage as - since we don't need to automate this test.

Version ::

ipa-server-3.3.1-3.el7.x86_64

Test Results ::

From an automated run for something else with successful ipa-server install and setup:

...
  Installing : pki-ca-10.0.4-1.el7.noarch                               132/133 
  Installing : ipa-server-3.3.1-3.el7.x86_64                            133/133 
  Verifying  : slapi-nis-0.48-1.el7.x86_64                                1/133 
  Verifying  : apache-commons-cli-1.2-11.el7.noarch                       2/133 
...

No more ipa-server-selinux package to create this scenario.
Comment 6 Ludek Smid 2014-06-13 05:31:16 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.